umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Signals | Public Member Functions | Private Attributes | List of all members
CodeViewerOptionsPage Class Reference

`#include <codevieweroptionspage.h>`

Inheritance diagram for CodeViewerOptionsPage:

## Signals
void | applyClicked ()

## Public Member Functions
| CodeViewerOptionsPage (Settings::CodeViewerState options, QWidget *parent=0, const char *name=0)
| ~CodeViewerOptionsPage ()
Settings::CodeViewerState | getOptions ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Attributes
Settings::CodeViewerState | m_options
Private Attributes inherited from Ui_CodeViewerOptionsBase
QGridLayout * | gridLayout
KFontChooser * | fontChooser
QGroupBox * | colorGroupBox
QGridLayout * | gridLayout1
QGridLayout * | gridLayout2
QLabel * | fontLabel
KColorButton * | selectColorButton
QLabel * | paperLabel
KColorButton * | paperColorButton
QLabel * | selectedLabel
KColorButton * | fontColorButton
QGridLayout * | gridLayout3
KColorButton * | nonEditBlockColorButton
QGridLayout * | gridLayout4
KColorButton * | m_hiddenBlockColorButton
KColorButton * | umlObjectColorButton
QLabel * | textLabel1
QLabel * | textLabel1_2
QLabel * | textLabel2
KColorButton * | editBlockColorButton
QLabel * | textLabel3

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified
Private Member Functions inherited from Ui_CodeViewerOptionsBase
void | setupUi (QWidget *CodeViewerOptionsBase)
void | retranslateUi (QWidget *CodeViewerOptionsBase)

## Detailed Description

Author
  Brian Thomas

## Constructor & Destructor Documentation

## ◆ CodeViewerOptionsPage()

CodeViewerOptionsPage::CodeViewerOptionsPage | ( | Settings::CodeViewerState | options,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |
| explicit

## ◆ ~CodeViewerOptionsPage()

CodeViewerOptionsPage::~CodeViewerOptionsPage | ( |  | ) |

## Member Function Documentation

## ◆ apply()

void CodeViewerOptionsPage::apply | ( |  | ) |

## ◆ applyClicked

void CodeViewerOptionsPage::applyClicked | ( |  | ) |
| signal

## ◆ getOptions()

Settings::CodeViewerState CodeViewerOptionsPage::getOptions | ( |  | ) |

## Member Data Documentation

## ◆ m_options

Settings::CodeViewerState CodeViewerOptionsPage::m_options
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/codevieweroptionspage.h
- cmake-build/umbrello/libumbrello_autogen/LVI3AIR25K/moc_codevieweroptionspage.cpp
- umbrello/dialogs/pages/codevieweroptionspage.cpp